PHP ��U
前一頁 |  | 下一頁

# geoip_id_by_name

(no version information, might be only in CVS)

geoip_id_by_name -- Get the Internet connection speed

## Description

int geoip_id_by_name ( string hostname )

The geoip_id_by_name() function will return the country and region corresponding to a hostname or an IP address.

The return value is numeric and can be compared to the following constants:

- GEOIP_UNKNOWN_SPEED

- GEOIP_DIALUP_SPEED

- GEOIP_CABLEDSL_SPEED

- GEOIP_CORPORATE_SPEED

## Parameters

hostname

  The hostname or IP address whose net speed is to be looked-up.

## Return Values

Returns the net speed.

## �d��

範例 1. A geoip_id_by_name() example

This will output the net speed of the host example.com.

`<?php $netspeed = geoip_id_by_name('www.example.com'); echo 'The connection type is '; switch ($netspeed) { case GEOIP_DIALUP_SPEED: echo 'dial-up'; break; case GEOIP_CABLEDSL_SPEED: echo 'cable or DSL'; break; case GEOIP_CORPORATE_SPEED: echo 'corporate'; break; case GEOIP_UNKNOWN_SPEED: default: echo 'unknown'; } ?>`

The above example will output:

    The connection type is corporate

前一頁 | 內容 | 下一頁
geoip_database_info | 上一層 | geoip_org_by_name